package com.yonge.cooleshow.common.enums.payment;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.cooleshow.common.enums.ActivityShareEnum;
import com.yonge.toolset.base.enums.BaseEnum;
import lombok.Getter;

/**
 * 商品来源
 */
@Getter
public enum EGoodsSource implements BaseEnum<String, EGoodsSource> {

    MALL("商城"),
    VIP("数字化器乐学练工具"),
    ;

    private final String msg;

    @EnumValue
    private final String code;

    EGoodsSource(String msg) {
        this.msg = msg;

        this.code = this.name();
    }

}
